Chapter 18. Db_set_base_iterator
Prev |  | Next

## Chapter 18. Db_set_base_iterator

#### Public Members

Member | Description
--- | ---
~db_set_base_iterator | Destructor.
db_set_base_iterator | Constructor.
operator++ | Post-increment.
operator-- | Post-decrement.
operator * | Dereference operator.
operator-> | Arrow operator.
refresh | Refresh iterator cached value.

#### Group

Iterator Classes for db_set and db_multiset

## ~db_set_base_iterator

### Function Details

    virtual ~db_set_base_iterator()

Destructor.

### Group: Constructors and destructor

Do not use these constructors to create iterators, but call db_set::begin() const or db_multiset::begin() const to create valid iterators.

### Class

db_set_base_iterator

Prev |  | Next
Chapter 17. Iterator Classes for db_set and db_multiset | Home | db_set_base_iterator